D.S

adndevblog.typepad.com

Creating Sketched Symbols - Manufacturing DevBlog

Creating Sketched Symbols - Manufacturing DevBlog Manufacturing DevBlog The resource for software developers working with Design, Lifecycle and Simulation technologies from Autodesk. Home Subscribe Follow Useful Links Autodesk About this Blog « Get Drawing Curves for a Drawing View | Main | Replace the File Reference by Inventor API » 08/13/2012 Creating Sketched Symbols By Augusto Goncalves Sketched symbols are more or less similar to blocks in AutoCAD and is available only in the drawing document. Following is a sample code which creates a symbol and inserts it in the active sheet. Sub CreateSketchedSymbol()   Dim oDwg As DrawingDocument = _     m_inventorApplication.ActiveDocument   Dim oTG As TransientGeometry = _     m_inventorApplication.TransientGeometry     Dim oSSD As SketchedSymbolDefinition = _     oDwg.SketchedSymbolDefinitions.Add("mySymbol")   Dim oRes As DrawingSketch = Nothing     'Open the sketch in edit mode.   oSSD.Edit(oRes)   oRes.SketchCircles.AddByCenterRadius( _     oTG.CreatePoint2d(5, 5), 2)   oRes.SketchCircles.AddByCenterRadius( _     oTG.CreatePoint2d(5, 5), 1)   oRes.SketchLines.AddAsTwoPointRectangle( _     oTG.CreatePoint2d(3, 3), oTG.CreatePoint2d(7, 7))   'Quit the Edit mode.   oSSD.ExitEdit(True)     'Insert the sketched symbol on the active sheet.   oDwg.ActiveSheet.SketchedSymbols.Add( _     "mySymbol", oTG.CreatePoint2d(10, 10)) End Sub Posted at 12:14 PM in Augusto Goncalves , Inventor | Permalink | | | Comments Creating Sketched Symbols By Augusto Goncalves Sketched symbols are more or less similar to blocks in AutoCAD and is available only in the drawing document. Following is a sample code which creates a symbol and inserts it in the active sheet. Sub CreateSketchedSymbol()   Dim oDwg As DrawingDocument = _     m_inventorApplication.ActiveDocument   Dim oTG As TransientGeometry = _     m_inventorApplication.TransientGeometry     Dim oSSD As SketchedSymbolDefinition = _     oDwg.SketchedSymbolDefinitions.Add("mySymbol")   Dim oRes As DrawingSketch = Nothing     'Open the sketch in edit mode.   oSSD.Edit(oRes)   oRes.SketchCircles.AddByCenterRadius( _     oTG.CreatePoint2d(5, 5), 2)   oRes.SketchCircles.AddByCenterRadius( _     oTG.CreatePoint2d(5, 5), 1)   oRes.SketchLines.AddAsTwoPointRectangle( _     oTG.CreatePoint2d(3, 3), oTG.CreatePoint2d(7, 7))   'Quit the Edit mode.   oSSD.ExitEdit(True)     'Insert the sketched symbol on the active sheet.   oDwg.ActiveSheet.SketchedSymbols.Add( _     "mySymbol", oTG.CreatePoint2d(10, 10)) End Sub View the entire comment thread. Please enable JavaScript if you would like to comment on this blog. Search Submit Mfg DevBloggers Adam Nagy Augusto Goncalves Balaji Ramamoorthy Daniel Du Philippe Leefsma Vladimir Ananyev Wayne Brill Xiaodong Liang November 2016 Sun Mon Tue Wed Thu Fri Sat     1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30       Autodesk Blogs ADN DevBlog - AEC Our DevBlog for Revit, Navisworks, AEC and BIM technology APIs. ADN DevBlog - AutoCAD Our DevBlog for AutoCAD and other platform technology APIs. ADN DevBlog - Cloud and Mobile Our DevBlog for Cloud and Mobile technologies. ADN DevBlog - Infrastructure Modeling Our DevBlog for Infrastructure Modeling technology APIs. ADN DevBlog - Manufacturing Our DevBlog for Design, Lifecycle and Simulation technologies. Around the Corner Cyrille Fauvel's Maya platform developer blog - Autodesk Media and Entertainment technology. Civilized Development Isaac Rodriguez's AutoCAD Civil 3D developer blog Dances with Elephants Jim Quanci's blog on partnering with large companies. It's All Just Ones and Zeros Doug Redmond's Vault developer blog Mod the Machine Brian Ekins' and Adam Nagy's Inventor developer blog The 360 View Mikako Harada's BIM 360 developer blog The 3D Web Coder Jeremy Tammik's web and mobile programming blog The Building Coder Jeremy Tammik's Revit developer blog Through the Interface Kean Walmsley's AutoCAD developer blog Yet more on autodesk.com ... Central blog list on autodesk.com Share Recent Posts iLogic: ActiveDocument.ComponentDefinition throws exception for specific document Fusion API: Usage of Table Control Introduction to Fusion 360 API Create Sketch Text on Face of Assembly Fusion API: Usage of Mouse Event Making your add-in callable from VBA Autodesk App Store Forge and Fusion 360 Hackathon September 1 - October 31 Fusion API: Toggle [Capture Design History] Check or UnCheck iProperties Date Created and Date Checked example Delete Objects with Fusion 360 API Archives November 2016 October 2016 September 2016 August 2016 July 2016 June 2016 May 2016 April 2016 March 2016 February 2016 More... Manufacturing DevBlog